# AP4_AvccAtom Class Reference

`#include <Ap4AvccAtom.h>`

Inheritance diagram for AP4_AvccAtom:

List of all members.

## Public Member Functions
| AP4_AvccAtom (AP4_UI08 config_version, AP4_UI08 profile, AP4_UI08 level, AP4_UI08 profile_compatibility, AP4_UI08 length_size, AP4_Array< AP4_DataBuffer > sequence_parameters, AP4_Array< AP4_DataBuffer > picture_parameters)
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
AP4_UI08 | GetConfigurationVersion () const
AP4_UI08 | GetProfile () const
AP4_UI08 | GetLevel () const
AP4_UI08 | GetProfileCompatibility () const
AP4_UI08 | GetNaluLengthSize () const
AP4_Array< AP4_DataBuffer > & | GetSequenceParameters ()
AP4_Array< AP4_DataBuffer > & | GetPictureParameters ()
const AP4_DataBuffer & | GetRawBytes () const
## Static Public Member Functions
static AP4_AvccAtom * | Create (AP4_Size size, AP4_ByteStream &stream)
static const char * | GetProfileName (AP4_UI08 profile)

## Detailed Description

Definition at line 52 of file Ap4AvccAtom.h.

## Constructor & Destructor Documentation

AP4_AvccAtom::AP4_AvccAtom | ( | AP4_UI08 | config_version,
|  | AP4_UI08 | profile,
|  | AP4_UI08 | level,
|  | AP4_UI08 | profile_compatibility,
|  | AP4_UI08 | length_size,
|  | AP4_Array< AP4_DataBuffer > | sequence_parameters,
|  | AP4_Array< AP4_DataBuffer > | picture_parameters |
| ) |  |  |

Referenced by Create().

## Member Function Documentation

static AP4_AvccAtom* AP4_AvccAtom::Create | ( | AP4_Size | size,
|  | AP4_ByteStream & | stream |
| ) |  |  | `[inline, static]`

Definition at line 56 of file Ap4AvccAtom.h.

References AP4_AvccAtom().

static const char* AP4_AvccAtom::GetProfileName | ( | AP4_UI08 | profile | ) | `[static]`

virtual AP4_Result AP4_AvccAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_AvccAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Atom.

AP4_UI08 AP4_AvccAtom::GetConfigurationVersion | ( |  | ) | const`[inline]`

Definition at line 73 of file Ap4AvccAtom.h.

AP4_UI08 AP4_AvccAtom::GetProfile | ( |  | ) | const`[inline]`

Definition at line 74 of file Ap4AvccAtom.h.

AP4_UI08 AP4_AvccAtom::GetLevel | ( |  | ) | const`[inline]`

Definition at line 75 of file Ap4AvccAtom.h.

AP4_UI08 AP4_AvccAtom::GetProfileCompatibility | ( |  | ) | const`[inline]`

Definition at line 76 of file Ap4AvccAtom.h.

AP4_UI08 AP4_AvccAtom::GetNaluLengthSize | ( |  | ) | const`[inline]`

Definition at line 77 of file Ap4AvccAtom.h.

AP4_Array<AP4_DataBuffer>& AP4_AvccAtom::GetSequenceParameters | ( |  | ) | `[inline]`

Definition at line 78 of file Ap4AvccAtom.h.

AP4_Array<AP4_DataBuffer>& AP4_AvccAtom::GetPictureParameters | ( |  | ) | `[inline]`

Definition at line 79 of file Ap4AvccAtom.h.

const AP4_DataBuffer& AP4_AvccAtom::GetRawBytes | ( |  | ) | const`[inline]`

Definition at line 80 of file Ap4AvccAtom.h.

The documentation for this class was generated from the following file:

- Ap4AvccAtom.h